/*******************************************************************************
 *    File Name : src/utils/debug.cpp
 * 
 *       Author : Henry He
 * Created Time : Fri 23 Oct 2009 01:22:57 PM CST
 *  Description : 
 ******************************************************************************/


/*******************************************************************************
 * Desc : Includes Files
 ******************************************************************************/
#include <utils/debug.h>


/*******************************************************************************
 * Desc : Macro Definations
 ******************************************************************************/


/*******************************************************************************
 * Desc : Type Definations
 ******************************************************************************/


/*******************************************************************************
 * Desc : Global Variables
 ******************************************************************************/
HLH_AutoMutex g_zhmPrintMutex;


/*******************************************************************************
 * Desc : File Variables
 ******************************************************************************/



/******************************************************************************
 * Desc : Functions
 ******************************************************************************/




/******************************************************************************
 * Func : Printf
 * Desc : wrapper of vprintf which is thread safe 
 * Args : pcFormat        Format of message
 * Outs : return value of vprintf
 ******************************************************************************/
int Printf (const char * pcFormat, ...)
{
  int         nRetVal;
  va_list     vlList;

  va_start (vlList, pcFormat);

  nRetVal = vprintf (pcFormat, vlList);

  va_end (vlList);

  return nRetVal;
}


